
// Redirects standard and error flows in a log file.

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include "log.h"

int logfile1=-1;

int log_init(const char *log_file, int trunc, int sync)
{
	if (trunc!=0) trunc=O_TRUNC;
	if (sync!=0) sync=O_SYNC;
	if (logfile1!=-1) return 0;
	close(1);
	logfile1=open(log_file, O_CREAT | O_WRONLY | trunc | sync, S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH);
	if (logfile1==-1) return 0;
	lseek(logfile1, 0, SEEK_END);
	printf("\n --- Log started \n");
	return 1;
}

int log_deinit()
{
	if (logfile1!=-1) close(logfile1);
	logfile1=-1;
	return 1;
}

